Package com.enonic.xp.web.websocket

## Enum WebSocketEventType

- java.lang.Object
- - java.lang.Enum<WebSocketEventType>
  - - com.enonic.xp.web.websocket.WebSocketEventType

- All Implemented Interfaces:
    `Serializable`, `Comparable<WebSocketEventType>`

      public enum WebSocketEventType
      extends Enum<WebSocketEventType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLOSE` |
    `ERROR` |
    `MESSAGE` |
    `OPEN` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WebSocketEventType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static WebSocketEventType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPEN

          public static final WebSocketEventType OPEN

    - #### CLOSE

          public static final WebSocketEventType CLOSE

    - #### ERROR

          public static final WebSocketEventType ERROR

    - #### MESSAGE

          public static final WebSocketEventType MESSAGE

  - ### Method Detail

    - #### values

          public static WebSocketEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebSocketEventType c : WebSocketEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebSocketEventType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null